Name:		qtsmbstatus
Version:	2.0.1
Release:	alt0
License:	GPLv2
Group:		Networking/Other
Source0:	%name-%version.tar.gz
Summary:	QtSmbstatus is a GUI for smbstatus
Url:		http://qtsmbstatus.free.fr/
Packager:	Motsyo Gennadi <drool@altlinux.ru>
Patch0:		%name-2.0.1-alt_dirs.diff
Patch1:		%name-2.0-alt_pam.diff
Patch2:		%name-2.0.1-categories.diff

# Automatically added by buildreq on Mon Oct 29 2007 (-bi)
BuildRequires: gcc-c++ ImageMagick libpam-devel libqt4-devel

%description
QtSmbstatus is a GUI (graphical user interface) for smbstatus.
It is meant to provide the possibility of administering remote
machines.

QtSmbstatus was designed as a client/server system secured with
SSL. A login and password is required to log on to server (PAM).
The server's application ought to be installed with samba-server.

%package -n %name-server
Summary: QtSmbstatus server
Group: System/Servers
Requires: samba

%description -n %name-server
Server for QtSmbstatus

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%make INSTALL_ROOT=%buildroot install
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 16x16 client/icons/samba.png %buildroot%_miconsdir/%name.png
convert -resize 32x32 client/icons/samba.png %buildroot%_niconsdir/%name.png
convert -resize 48x48 client/icons/samba.png %buildroot%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%post -n %name-server
%post_service %{name}d
service %{name}d start

%preun -n %name-server
service %{name}d stop

%files
%doc COPYING INSTALL README*
%_bindir/%name
%_datadir/%name
%_man7dir/%name.*
%_desktopdir/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png

%files -n %name-server
%doc COPYING INSTALL README*
%_bindir/%{name}d
%_initdir/%{name}d
%_man7dir/%{name}d.*
%attr(640,root,root) %_sysconfdir/%{name}d
%attr(644,root,root) %_sysconfdir/pam.d/%{name}d

%changelog
* Sun Nov 04 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0.1-alt0
- 2.0.1

* Mon Oct 29 2007 Motsyo Gennadi <drool@altlinux.ru> 2.0-alt0
- initial build for ALT Linux
